<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Slider;
use App\Models\Contact;
use App\Models\Blog;
use App\Models\Testimonial;
use App\Models\Services;
use App\Models\About;
use App\Models\Company;
use App\Models\Quote;
use App\Models\Gallery;
use Carbon\Carbon;
use Auth;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
  
    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $slider= Slider::orderBy('id','DESC')->where('status',1)->get();
        $company= Company::orderBy('id','DESC')->where('status',1)->get();
        $services= Services::orderBy('id','DESC')->take('6')->where('status',1)->get();
        $testimonial= Testimonial::orderBy('id','DESC')->take('3')->where('status',1)->get();
        $blog= Blog::orderBy('id','DESC')->take('3')->where('status',1)->get();
        $about= About::orderBy('id','DESC')->take('3')->where('status',1)->get();
        $gallery=Gallery::Where('status','1')->get();
        return view('index',compact('blog','testimonial','services','about','slider','company','gallery'));
    }
    public function about(){
        $testimonial= Testimonial::orderBy('id','DESC')->where('status',1)->get();
        $services= Services::orderBy('id','DESC')->take('6')->where('status',1)->get();
        $about= About::orderBy('id','DESC')->where('status',1)->get();
        return view('about',compact('about','services','testimonial'));
    }
    public function blog(){
        $blog= Blog::orderBy('id','DESC')->where('status',1)->get();
        return view('blog',compact('blog'));
    }
    public function contact(){
        return view('contact');
    }
    public function services(){
        $services= Services::orderBy('id','DESC')->where('status',1)->get();
        return view('services',compact('services'));
    }
    public function services_details($id){
        $services=Services::where('unique_id',$id)->first();
        return view('services-details',compact('services'));
    }

    public function contactstore(Request $request)
    {

      $this->validate($request, [
      'name'=>'required',
      ]);
   

      $contact = new Contact;
      $contact->name = $request->name;
      $contact->phone = $request->phone;
      $contact->message = $request->message;

      $contact->save();  
    
  
      $request->session()->flash('alert-success', 'Thank You! We will contact you shortly');
      return back();
    }
    public function quotetstore(Request $request)
    {

      $this->validate($request, [
      'name'=>'required',
      ]);
   

      $quotet = new Quote;
      $quotet->name = $request->name;
      $quotet->email = $request->email;
      $quotet->insurance = $request->insurance;
      $quotet->range = $request->range;
      $quotet->save();  
    
  
      $request->session()->flash('alert-success', 'Thank You! We will contact you shortly');
      return back();
    }
}
