<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\ContactDetail;
use Carbon\Carbon;
use Auth;

class ContactDetailController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $contactdetail= ContactDetail::where('status',1)->get();
        return view('admin.contactdetail.index',compact('contactdetail'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.contactdetail.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
        ]);
        
        $unique_id=uniqid();
            
            $contactdetail = new ContactDetail;         
            $contactdetail->status =1;       
            $contactdetail->mobile_1 = $request->mobile_1;        
            $contactdetail->mobile_2 = $request->mobile_2;        
            $contactdetail->whatsapp_1 = $request->whatsapp_1;        
            $contactdetail->whatsapp_2 = $request->whatsapp_2;        
            $contactdetail->email = $request->email;        
            $contactdetail->address = $request->address;        
            $contactdetail->unique_id=$unique_id;
            $contactdetail->save();  
            
        
            session()->flash('success_msg', 'created successfully');
            return redirect()->route('contactdetail.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=ContactDetail::where('unique_id',$id)->value('id');
        $row=ContactDetail::find($id);
        return view('admin.contactdetail.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
          
	
        ]);

            $contactdetail = ContactDetail::find($id);  
            $contactdetail->mobile_1 = $request->mobile_1;        
            $contactdetail->mobile_2 = $request->mobile_2;        
            $contactdetail->whatsapp_1 = $request->whatsapp_1;        
            $contactdetail->whatsapp_2 = $request->whatsapp_2;        
            $contactdetail->email = $request->email;        
            $contactdetail->address = $request->address;  
            $contactdetail->save();  
            
       
            session()->flash('success_msg', 'Update successfully');
            return redirect()->route('contactdetail.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $contactdetail_id=ContactDetail::where('unique_id',$id)->value('id');
        $contactdetail=ContactDetail::find($contactdetail_id);
        $contactdetail->status="2";
        $contactdetail->save();
        
        session()->flash('success_msg', 'Contact has been deleted successfully');
        return back();
    }
}
