<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Gallery;
use App\Models\User;
use App\Models\UserDetail;
use Auth;
use Str;

class GalleryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $gallery= Gallery::Where('status', '1')->orderby('id', 'DESC')->get();
        return view('admin.gallery.index',compact('gallery'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.gallery.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
			
        ]);
      $data=$request->image_path;
      
      if(!empty($data)){
          foreach($data as $r ){
        $gallery = new Gallery;
        $gallery->video_link=$request->video_link; 
        $gallery->event_name = $request->event_name;
        $slug = Str::slug($request->event_name, '-');
        $gallery->event_slug = $slug;
        $gallery->unique_id=uniqid();
        $gallery->status =1;
       	$image = $r;
			$filename = str_shuffle(time()).$image->getClientOriginalName();
			$destinationPath = public_path('uploads/image_path');
			$image->move($destinationPath, $filename);
			$gallery->image_path= "uploads/image_path/" . $filename;
        $gallery->save();  
        
    }
}
else{
    $gallery = new Gallery;
    $gallery->video_link=$request->video_link; 
    $gallery->status =1;
    $gallery->event_name = $request->event_name;
    $slug = Str::slug($request->event_name, '-');
    $gallery->event_slug = $slug;
    $gallery->unique_id=uniqid();
    $gallery->save(); 
}
        session()->flash('success_msg', 'created successfully');
        return redirect()->route('gallery.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Gallery::where('unique_id',$id)->value('id');
        $row=Gallery::find($id);
        return view('admin.gallery.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
       
        $this->validate($request, [
          
			
        ]);
        $gallery = Gallery::find($id);
        
        $gallery->event_name=$request->event_name;
        $gallery->video_link=$request->video_link;
           if ($request->hasFile('image_path')) {
			$image = $request->file('image_path');
			$filename = $image->getClientOriginalName();
			$destinationPath = public_path('uploads/image_path');
			$image->move($destinationPath, $filename);
			$gallery->image_path= "uploads/image_path/" . $filename;
        
    }
    $gallery->save();  
        session()->flash('success_msg', 'created successfully');
        return redirect()->route('gallery.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $gallery_id=Gallery::where('unique_id',$id)->value('id');    
        $gallery=Gallery::find($gallery_id);
        $gallery->status="2";
        $gallery->save();
        session()->flash('success_msg', 'Image has been deleted successfully');
        return back();
    }
}
