<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Contact;
use App\Models\Quote;
use App\Models\UserDetail;

class HomeController extends Controller
{
    public function index()
    {
        return view('admin.home');
    }

    public function contact(){
        $contact= Contact::orderBy('id', 'desc')->get();
        return view('admin.contact', compact('contact'));
       }
    public function quote(){
        $quote= Quote::orderBy('id', 'desc')->get();
        return view('admin.quote', compact('quote'));
       }

    public function adminprofile()
    {
        return view('admin.profile');
    }

    public function adminupdateprofile(Request $request)
    {
        $input = $request->all();
        $this->validate($request, [
            'name' => 'required',
            'mobile' => 'required',
            

        ]);
        $id = Auth::user()->id;
        $user = User::find($id);
        $user->name = $request->name;
        $user->mobile = $request->mobile;
        $user->email = $request->email;
        $user->save();

        $userdetails_id = UserDetail::where('user_id', $user->id)->value('id');
        $user_detail = UserDetail::find($userdetails_id);
        $user_detail->user_id = $user->id;
        $user_detail->address = $request->address;
        $user_detail->city = $request->city;
        $user_detail->pincode = $request->pincode;
        $user_detail->save();

        session()->flash('success_msg', 'Updated Successfully ');
        return redirect('admin/adminprofile');
    }

    public function adminpassword()
    {
        return view('admin.passwordchange');
    }

    public function adminupdatepassword(Request $request)
    {
        $input = $request->all();
        $this->validate($request, [
            'oldpassword' => 'required',
            'password' => 'required|min:6|confirmed',
        ]);
        $user = Auth::user();
        $oldpassword = $user->password;
        if (Hash::check($request->oldpassword, $oldpassword)) {
            $user->fill([
                'password' => bcrypt($request->password)
            ])->save();
            session()->flash('success_msg', 'Password has been Updated');
            return back();
        } else {
            session()->flash('danger_msg', 'Please Enter correct Old Password');
            return back();
        }
    }
}
