<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Services;
use Carbon\Carbon;
use Auth;

class ServicesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $services= Services::where('status',1)->get();
        return view('admin.services.index',compact('services'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.services.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
			'services_title'=>'required',
        ]);
        
        $unique_id=uniqid();
            
            $services = new Services;         
            $services->status =1;       
            $services->services_title = $request->services_title;        
            $services->unique_id=$unique_id;
            $services->services_description = $request->services_description;
            if ($request->hasFile('services_image')) {
                $image = $request->file('services_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/services_image');
                $image->move($destinationPath, $filename);
                $services->services_image= "uploads/services_image/" . $filename;
            }
            $services->save();  
            
        
            session()->flash('success_msg', 'created successfully');
            return redirect()->route('services.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Services::where('unique_id',$id)->value('id');
        $row=Services::find($id);
        return view('admin.services.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
       
        $this->validate($request, [
          
			'services_title'=>'required',
	
        ]);

            $services = Services::find($id);  
            $services->services_title = $request->services_title;
            $services->services_description = $request->services_description;
            if ($request->hasFile('services_image')) {
                $image = $request->file('services_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/services_image');
                $image->move($destinationPath, $filename);
                $services->services_image= "uploads/services_image/" . $filename;
            }   
            $services->save();  
            
       
            session()->flash('success_msg', 'Update successfully');
            return redirect()->route('services.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $services_id=Services::where('unique_id',$id)->value('id');
        $services=Services::find($services_id);
        $services->status="2";
        $services->save();
        
        session()->flash('success_msg', 'Services has been deleted successfully');
        return back();
    }
}
