<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Specialize;
use Carbon\Carbon;
use Auth;

class SpecializeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $specialize= Specialize::where('status',1)->get();
        return view('admin.specialize.index',compact('specialize'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.specialize.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
			'specialize_title'=>'required',
        ]);
        
        $unique_id=uniqid();
            
            $specialize = new Specialize;         
            $specialize->status =1;       
            $specialize->specialize_title = $request->specialize_title;        
            $specialize->unique_id=$unique_id;
            if ($request->hasFile('specialize_image')) {
                $image = $request->file('specialize_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/specialize_image');
                $image->move($destinationPath, $filename);
                $specialize->specialize_image= "uploads/specialize_image/" . $filename;
            }
            $specialize->save();  
            
        
            session()->flash('success_msg', 'created successfully');
            return redirect()->route('specialize.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Specialize::where('unique_id',$id)->value('id');
        $row=Specialize::find($id);
        return view('admin.specialize.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
          
			'specialize_title'=>'required',
	
        ]);

            $specialize = Specialize::find($id);  
            $specialize->specialize_title = $request->specialize_title;
            if ($request->hasFile('specialize_image')) {
                $image = $request->file('specialize_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/specialize_image');
                $image->move($destinationPath, $filename);
                $specialize->specialize_image= "uploads/specialize_image/" . $filename;
            }   
            $specialize->save();  
            
       
            session()->flash('success_msg', 'Update successfully');
            return redirect()->route('specialize.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $specialize_id=Specialize::where('unique_id',$id)->value('id');
        $specialize=Specialize::find($specialize_id);
        $specialize->status="2";
        $specialize->save();
        
        session()->flash('success_msg', 'Specialize has been deleted successfully');
        return back();
    }
}
