<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Testimonial;
use Carbon\Carbon;
use Auth;

class TestimonialController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $testimonial= Testimonial::where('status',1)->get();
        return view('admin.testimonial.index',compact('testimonial'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.testimonial.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
          
			'title'=>'required',
        ]);
        
        $unique_id=uniqid();
            
            $testimonial = new Testimonial;         
            $testimonial->status =1;       
            $testimonial->title = $request->title;        
            $testimonial->unique_id=$unique_id;
            $testimonial->testimonial_description = $request->testimonial_description;
            if ($request->hasFile('testimonial_image')) {
                $image = $request->file('testimonial_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/testimonial_image');
                $image->move($destinationPath, $filename);
                $testimonial->testimonial_image= "uploads/testimonial_image/" . $filename;
            }
            $testimonial->save();  
            
        
            session()->flash('success_msg', 'created successfully');
            return redirect()->route('testimonial.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $id=Testimonial::where('unique_id',$id)->value('id');
        $row=Testimonial::find($id);
        return view('admin.testimonial.edit',compact('row'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
          
			'title'=>'required',
	
        ]);

            $testimonial = Testimonial::find($id);  
            $testimonial->title = $request->title;
            $testimonial->testimonial_description = $request->testimonial_description;
            if ($request->hasFile('testimonial_image')) {
                $image = $request->file('testimonial_image');
                $filename = $image->getClientOriginalName();
                $destinationPath = public_path('uploads/testimonial_image');
                $image->move($destinationPath, $filename);
                $testimonial->testimonial_image= "uploads/testimonial_image/" . $filename;
            }   
            $testimonial->save();  
            
       
            session()->flash('success_msg', 'Update successfully');
            return redirect()->route('testimonial.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $testimonial_id=Testimonial::where('unique_id',$id)->value('id');
        

        $testimonial=Testimonial::find($testimonial_id);
        $testimonial->status="2";
        $testimonial->save();
        
        session()->flash('success_msg', 'testimonial has been deleted successfully');
        return back();
    }
}
