@extends('admin.layout.app')
@section('title', 'Sehat Health Care - Edit Contact Detail ')
@push('headerscript')
<script src="https://cdn.ckeditor.com/4.19.1/standard/ckeditor.js"></script>
@endpush
@section('content')
<div class="page-content">
    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                    <h4 class="mb-sm-0 font-size-18">Contact Detail</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        {!! Form::model($row, ['method'=>'patch',  'files' => true, 'route' => ['contactdetail.update', $row->id]]) !!}
                        @csrf
                        <div class="row">
                            <div class="col-md-6 form-group">
                               <label>Mobile No. 1</label>
                               <input type="text" name="mobile_1" class="form-control number" value="{{ old('mobile_1',$row->mobile_1) }}" placeholder="Mobile No. 1" />
                               <div class="text-danger">{{ $errors->first('mobile_1')}}</div>
                            </div>
                            <div class="col-md-6 form-group">
                             <label>Mobile No. 2</label>
                             <input type="text" name="mobile_2" class="form-control number" value="{{ old('mobile_2',$row->mobile_2) }}" placeholder="Mobile No. 2" />
                             <div class="text-danger">{{ $errors->first('mobile_2')}}</div>
                          </div>
                            <div class="col-md-6 form-group">
                               <label>What's App No. 1</label>
                               <input type="text" name="whatsapp_1" class="form-control number" value="{{ old('whatsapp_1',$row->whatsapp_1) }}" placeholder="What's App No. 1" />
                               <div class="text-danger">{{ $errors->first('whatsapp_1')}}</div>
                            </div>
                            <div class="col-md-6 form-group">
                               <label>What's App No. 2</label>
                               <input type="text" name="whatsapp_2" class="form-control number" value="{{ old('whatsapp_2',$row->whatsapp_2) }}" placeholder="What's App No. 2" />
                               <div class="text-danger">{{ $errors->first('whatsapp_2')}}</div>
                            </div>
                            <div class="col-md-6 form-group">
                               <label>Email</label>
                               <input type="email" name="email" class="form-control" value="{{ old('email',$row->email) }}" placeholder="Email" />
                               <div class="text-danger">{{ $errors->first('email')}}</div>
                            </div>
                            <div class="col-sm-12 form-group">
                             <label>Address</label>
                             <textarea class="ckeditor" id="editor1"  name="address" required="">{{ old('address',$row->address) }}</textarea>
                             <div class="text-danger">{{ $errors->first('address')}}</div>
                         </div>
                         </div>
                         <br>
                         <div class="row form-group">
                             <div class="col-sm-12">
                                 <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                 <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                             </div>
                         </div>
                     </form>
                     </div> <!-- end col -->
                  </div>
             </div>
         </div>
      </div>
  </div>
@endsection
@push('footerscript')
<script src="{{asset('skote/layouts/assets/libs/jquery/jquery.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/metismenu/metisMenu.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/simplebar/simplebar.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/node-waves/waves.min.js')}}"></script>
<!--tinymce js-->
<script src="assets/libs/tinymce/tinymce.min.js')}}"></script>
<!-- init js -->
<script src="assets/js/pages/form-editor.init.js')}}"></script>
<script src="assets/js/app.js')}}"></script>
<script>
$('.number').keyup(function (e) {
if (/\D/g.test(this.value)) {
    this.value = this.value.replace(/\D/g, '');
}
});
</script>
<script>
CKEDITOR.replace( 'editor1' );
</script>
@endpush