@extends('admin.layout.app')
@section('title', 'Sehat Health Care - Edit Gallery ')
@push('headerscript')
<script src="https://cdn.ckeditor.com/4.19.1/standard/ckeditor.js"></script>
@endpush
@section('content')
<div class="page-content">
    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                    <h4 class="mb-sm-0 font-size-18">Gallery</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                      
                        {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['gallery.update', $row->id]]) !!}
                                    @csrf
                        <div class="row form-group">
                            <div class="col-sm-6 form-group">
                                <label>Event Name<span class="text-danger"> </span></label>
                                <input type="event_name" class="form-control" name="event_name"
                                value="{{ old('event_name',$row->event_name) }}">
                                <div class="text-danger">{{ $errors->first('event_name')}}</div>
                            </div>
                            {{-- <div class="col-sm-6 form-group">
                                <label>Video Link<span class="text-danger"></span></label>
                                <input type="video_link" class="form-control" name="video_link"
                                value="{{ old('video_link',$row->video_link) }}">
                                <div class="text-danger">{{ $errors->first('video_link')}}</div>
                            </div> --}}
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-6 form-group">
                                <label>Image Path</label>
                                <input type="file" multiple class="form-control" accept="image/*" name="image_path"
                                value="{{ old('image_path') }}">
                                <div class="text-danger">{{ $errors->first('image_path')}}</div>
                            </div>
                            <div class="col-sm-6">
                                <img src="{{asset( $row->image_path )}}" width="150" id="galleryimage">
                            </div>
                        </div>
                        <br>
                        <div class="row form-group">
                            <div class="col-sm-12">
                                <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                            </div>
                        </div>
                     </form>
                     </div> <!-- end col -->
                  </div>
             </div>
         </div>
      </div>
  </div>
@endsection
@push('footerscript')
<script src="{{asset('skote/layouts/assets/libs/jquery/jquery.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/metismenu/metisMenu.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/simplebar/simplebar.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/node-waves/waves.min.js')}}"></script>
<!--tinymce js-->
<script src="assets/libs/tinymce/tinymce.min.js')}}"></script>
<!-- init js -->
<script src="assets/js/pages/form-editor.init.js')}}"></script>
<script src="assets/js/app.js')}}"></script>
<script>
$('.number').keyup(function (e) {
if (/\D/g.test(this.value)) {
    this.value = this.value.replace(/\D/g, '');
}
});
</script>
<script>
CKEDITOR.replace( 'editor1' );
</script>
@endpush