@extends('admin.layout.app')
@section('title', 'Sehat Health Care - Create Services ')
@push('headerscript')
<script src="https://cdn.ckeditor.com/4.19.1/standard/ckeditor.js"></script>
@endpush
@section('content')
<div class="page-content">
    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                    <h4 class="mb-sm-0 font-size-18">Services</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                     <form method="POST" action="{{ route('services.store') }}" enctype="multipart/form-data">
                        @csrf
                        <div class="row">
                           <div class="col-md-6 form-group">
                              <label>Title</label>
                              <input type="text" name="services_title" class="form-control" value="{{ old('services_title') }}" placeholder="Enter Title" />
                              <div class="text-danger">{{ $errors->first('services_title')}}</div>
                           </div>
                           <div class="col-sm-6 form-group">
                            <label>Image</label>
                            <input type="file" class="form-control" accept="image/*" name="services_image" required="" 
                            value="{{ old('tservices_image') }}">
                            <div class="text-danger">{{ $errors->first('services_image')}}</div>
                        </div>
                        <div class="col-sm-12 form-group">
                            <label> Description</label>
                            <textarea class="ckeditor" id="editor1"  name="services_description" required="">{{ old('services_description') }}</textarea>
                            <div class="text-danger">{{ $errors->first('services_description')}}</div>
                        </div>
                        </div>
                        <br>
                        <div class="row form-group">
                            <div class="col-sm-12">
                                <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                            </div>
                        </div>
                     </form>
                     </div> <!-- end col -->
                  </div>
             </div>
         </div>
      </div>
  </div>
@endsection
@push('footerscript')
<script src="{{asset('skote/layouts/assets/libs/jquery/jquery.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/metismenu/metisMenu.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/simplebar/simplebar.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/node-waves/waves.min.js')}}"></script>
<!--tinymce js-->
<script src="assets/libs/tinymce/tinymce.min.js')}}"></script>
<!-- init js -->
<script src="assets/js/pages/form-editor.init.js')}}"></script>
<script src="assets/js/app.js')}}"></script>
<script>
$('.number').keyup(function (e) {
if (/\D/g.test(this.value)) {
    this.value = this.value.replace(/\D/g, '');
}
});
</script>
<script>
CKEDITOR.replace( 'editor1' );
</script>
@endpush