@extends('admin.layout.app')
@section('title', 'INSURANCE - Edit Slider')
@push('headerscript')
<script src="https://cdn.ckeditor.com/4.19.1/standard/ckeditor.js"></script>
@endpush
@section('content')
<div class="page-content">
    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                    <h4 class="mb-sm-0 font-size-18">Slider</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        {!! Form::model($row, ['method'=>'patch',  'files' => true, 'route' => ['slider.update', $row->id]]) !!}
                        @csrf
                        <div class="row">
                           <div class="col-md-6 form-group">
                              <label>Slider Title</label>
                              <input type="text" name="slider_name" class="form-control" value="{{ old('slider_name',$row->slider_name) }}" placeholder="Enter Title" />
                              <div class="text-danger">{{ $errors->first('slider_name')}}</div>
                           </div>
                          {{-- <div class="col-md-6 form-group">
                            <label>Date</label>
                            <input type="date" name="Judgments_date" class="form-control" value="{{ old('Judgments_date') }}" placeholder="Enter Date" />
                            <div class="text-danger">{{ $errors->first('Judgments_date',$row->Judgments_date)}}</div>
                         </div> --}}
                          <div class="col-sm-6 form-group">
                           <label>Slider Image</label>
                           <input type="file" class="form-control" accept="image/*" name="slider_image" 
                           value="">
                           <div class="text-danger">{{ $errors->first('slider_image',$row->slider_image)}}</div>
                       </div>
                         <div class="col-sm-12 form-group">
                              <label>Slider Description</label>
                              <textarea class="ckeditor" id="editor1"  name="slider_description" required="">{{ old('slider_description',$row->blog_description) }}</textarea>
                              <div class="text-danger">{{ $errors->first('slider_description')}}</div>
                          </div> 
                        </div>
                        <br>
                        <div class="row form-group">
                            <div class="col-sm-12">
                                <button name="submitBtn" class="btn btn-success" type="submit">Save</button>
                                <button class="btn btn-default m-l-15" type="reset">Cancel</button>
                            </div>
                        </div>
                     </form>
                     </div> <!-- end col -->
                  </div>
             </div>
         </div>
      </div>
  </div>
@endsection
@push('footerscript')
<script src="{{asset('skote/layouts/assets/libs/jquery/jquery.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/metismenu/metisMenu.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/simplebar/simplebar.min.js')}}"></script>
<script src="{{asset('skote/layouts/assets/libs/node-waves/waves.min.js')}}"></script>
<!--tinymce js-->
<script src="assets/libs/tinymce/tinymce.min.js')}}"></script>
<!-- init js -->
<script src="assets/js/pages/form-editor.init.js')}}"></script>
<script src="assets/js/app.js')}}"></script>
<script>
$('.number').keyup(function (e) {
if (/\D/g.test(this.value)) {
    this.value = this.value.replace(/\D/g, '');
}
});
</script>
<script>
CKEDITOR.replace( 'editor1' );
</script>
@endpush