<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/cc', function () {
    Artisan::call('cache:clear');
    echo '<script>alert("cache clear Success")</script>';
});
Route::get('/ccc', function () {
    Artisan::call('config:cache');
    echo '<script>alert("config cache Success")</script>';
});
Route::get('/vc', function () {
    Artisan::call('view:clear');
    echo '<script>alert("view clear Success")</script>';
});
Route::get('/cr', function () {
    Artisan::call('route:cache');
    echo '<script>alert("route clear Success")</script>';
});
Route::get('/coc', function () {
    Artisan::call('config:clear');
    echo '<script>alert("config clear Success")</script>';
});
Route::get('/storage123', function () {
    Artisan::call('storage:link');
    echo '<script>alert("linked")</script>';
});

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::get('/about', [App\Http\Controllers\HomeController::class, 'about'])->name('about');
Route::get('/blog', [App\Http\Controllers\HomeController::class, 'blog'])->name('blog');
Route::get('/contact', [App\Http\Controllers\HomeController::class, 'contact'])->name('contact');
Route::get('/services', [App\Http\Controllers\HomeController::class, 'services'])->name('services');
Route::get('/services-details/{id}', [App\Http\Controllers\HomeController::class, 'services_details'])->name('services_details');
Route::post('contactstore', [App\Http\Controllers\HomeController::class, 'contactstore']);
Route::post('quotetstore', [App\Http\Controllers\HomeController::class, 'quotetstore']);


Route::group(
	['middleware' => ['role:admin', 'auth'], 'namespace' => 'App\Http\Controllers\admin', 'prefix' => 'admin'],
	function () {
		Route::get('home', 'HomeController@index');
		
        Route::get('contact','HomeController@contact');
        Route::get('quote','HomeController@quote');
        Route::Resource('slider','SliderController');
        Route::get('sliderDelete/{id}','SliderController@destroy');
        Route::Resource('contactdetail','ContactDetailController');
        Route::get('contactDelete/{id}','ContactDetailController@destroy');
        Route::Resource('specialize','SpecializeController');
        Route::get('specializeDelete/{id}','SpecializeController@destroy');
        Route::Resource('services','ServicesController');
        Route::get('servicesDelete/{id}','ServicesController@destroy');
        Route::Resource('company','CompanyController');
        Route::get('companyDelete/{id}','CompanyController@destroy');
        Route::Resource('about','AboutController');
        Route::get('aboutDelete/{id}','AboutController@destroy');
        Route::Resource('gallery','GalleryController');
        Route::get('galleryDelete/{id}','GalleryController@destroy');
   
        Route::Resource('testimonial','TestimonialController');
        Route::get('testimonialDelete/{id}','TestimonialController@destroy');
        Route::Resource('blog','BlogController');
        Route::get('blogDelete/{id}','BlogController@destroy');
        Route::get('adminprofile','HomeController@adminprofile');
        Route::Post('adminupdateprofile','HomeController@adminupdateprofile');
        Route::get('adminpassword','HomeController@adminpassword');
        Route::Post('adminupdatepassword','HomeController@adminupdatepassword');
     
	}
);